/* generated @ 2016-06-13 14:37:53*/
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/*!***********************************!*\
  !*** ./pages/recommends/index.js ***!
  \***********************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(/*! ./index.scss */ 241);

	$(__webpack_require__(/*! ./index.html */ 245)()).prependTo('#doc');

	var bootstrap = __webpack_require__(/*! ../../commons/bootstrap.js */ 8);

	var userRender = __webpack_require__(/*! ./user.jade */ 246);

	var service = window.community.service;
	var utils = __webpack_require__(/*! ../../commons/utils.js */ 24);
	var pages = __webpack_require__(/*! ../../commons/pages.js */ 25);

	var queryParams = utils.getQueryJson();

	var key;
	if (queryParams.focus) {
	  key = decodeURIComponent(queryParams.focus);
	  key = key.slice(2, key.length - 2).split('","').join('#');
	}

	function initSelectFollowMod(userlist, service) {
	  var $container = $('.selects'),
	      $btn = $container.find('.btn-follow'),
	      $jumpbtn = $container.find('.btn-jump'),
	      checkedInputSelector = '.checked';

	  $(_.reduce(userlist, function (memo, user) {
	    user.link = pages.getLink('userCenter', { id: user.userid });
	    if (/^http:\/\/oimage/g.test(user.avatar)) {
	      user.avatar = user.avatar + '&w=130';
	    }
	    return memo + userRender(user);
	  }, '')).prependTo($container);

	  function selectedCounts() {
	    return $container.find(checkedInputSelector).length;
	  }

	  function submit(selected) {
	    console.log('提交');
	    var useridList = _.reduce(selected, function (list, checkbox) {
	      return list + '#' + $(checkbox).data('id');
	    }, '');
	    // log
	    selected.forEach(function (checkbox) {
	      ydk.rlog({
	        action: 'follow',
	        source: 'user_recommend',
	        community: 'user_recommend',
	        userid: $(checkbox).data('id')
	      });
	    });

	    service.feed.fo({
	      data: {
	        users: useridList.slice(1)
	      },
	      success: function success(res) {
	        console.log('关注成功');
	        // 跳转到个人动态页
	        location.href = pages.activities, ydk.close({ msg: '关注成功！' });
	      }
	    });
	  }

	  function submitFo() {
	    var selected = $container.find(checkedInputSelector);
	    ydk.isLogin({
	      success: function success(res) {
	        if (res.isLogin) {
	          submit(selected);
	        } else {
	          ydk.login({
	            success: function success(res) {
	              if (res.isLogin) {
	                console.log(JSON.stringify(res));
	                submit(selected);
	              }
	            }
	          });
	        }
	      }
	    });
	  }
	  $container.on('click', '.wrapper', function (e) {

	    $(this).find('.checkbox').toggleClass('checked');
	    $btn.toggleClass('disable', selectedCounts() === 0);
	  });
	  $btn.on('click', function () {
	    if ($(this).hasClass('disable')) return;
	    submitFo();
	  });
	  $jumpbtn.on('click', function () {
	    location.href = pages.activities;
	    ydk.close({ msg: '' });
	  });
	}

	function init(service) {
	  service.feed.recommend({
	    data: {
	      key: key ? key : ''
	    },
	    success: function success(res) {
	      initSelectFollowMod(res.data.data, service);
	    }
	  });
	}

	bootstrap(init);

/***/ },

/***/ 7:
/*!****************************!*\
  !*** ./commons/context.js ***!
  \****************************/
/***/ function(module, exports) {

	"use strict";

	module.exports = {};

/***/ },

/***/ 8:
/*!******************************!*\
  !*** ./commons/bootstrap.js ***!
  \******************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/**
	 * 所有页面逻辑启动的前提工作
	 */

	// 全局样式引入
	__webpack_require__(/*! ./css/global.scss */ 9);

	// 初始化jssdk
	__webpack_require__(/*! ./ydk.config.js */ 13);
	__webpack_require__(/*! ./ydk.extend.js */ 14);
	__webpack_require__(/*! ./log.js */ 15);

	// 全局变量,后续下面可能会挂上的值有：
	window.community = window.community || {};

	var config = __webpack_require__(/*! config */ 16);
	// service对象初始化方法，用于封装了所有的服务接口&数据请求
	var serviceInit = __webpack_require__(/*! ./service/index.js */ 17);

	window.community.loading = __webpack_require__(/*! ./loading/index.js */ 18);

	// 来源参数：供发log的时候使用
	// 词典客户端会区分具体来自于词典的什么位置打开的页面；其他客户端不存在这个区分
	var getQueryJson = __webpack_require__(/*! ./utils.js */ 24).getQueryJson;
	var sourcePair = {
	  'from_explore': 'explore', //发现频道
	  'from_infoline': 'infoline', // 信息流
	  'from_HomeEntrance': 'swrk' // 固定入口
	};
	var tempSource = getQueryJson().source;
	var source = tempSource ? sourcePair[tempSource] : 'dict-other';

	function generateProductKey(productName) {
	  if (productName === 'web') {
	    return 'web'; // web端版本
	  } else if (productName === 'dict') {
	      if (ydk.isAndroid) {
	        return 'Android-' + source;
	      }
	      if (ydk.isIos) {
	        return 'iOS-' + source;
	      }
	    } else {
	      // 非词典客户端
	      if (ydk.isAndroid) {
	        return 'Android-' + productName;
	      }
	      if (ydk.isIos) {
	        return 'iOS-' + productName;
	      }
	    }
	}

	// 主启动函数，做了以下工作
	// 1. 判断环境，挂class到body上
	// 2. 获取客户端信息，准备好log信息，供每次发请求时带上
	// 3. 初始化service并挂在community全局下
	// 4. 初始化一些全局的方法，目前是设置好预览图片和展开收起
	function bootstrap(pageWork) {
	  var global_class = !ydk.isMobile ? 'web pc' : ydk.isSupportNativeJsBridge ? 'mobile native' : 'mobile web';
	  $('body').addClass(global_class);

	  ydk.getClientInfo({
	    success: function success(res) {
	      var client = window.community.client = res;
	      client.product = generateProductKey(res.productName);
	      client.version = res.version || '1.0';
	      client.imei = res.imei || '';
	      var service = window.community.service = serviceInit(client);
	      pageWork && pageWork(service); // 执行页面逻辑
	      subTask();
	    }
	  });
	}

	// 后续初始化：图片浏览、收起折叠按钮等等
	function subTask() {
	  previewImages();
	  registerCollapseBtn();
	  showVersion();
	}

	// 设置图片点击后调用客户端的图片浏览，图片外面的容器需要带有`.preview-img-container`
	function previewImages() {
	  var previewImgContainerSelector = '.preview-img-container';
	  $(document).on('click', previewImgContainerSelector + ' img', function (e) {
	    e.preventDefault();
	    e.stopPropagation();
	    var urls = [],
	        $img,
	        dataimg = $(this).attr('dataimg'),
	        imgId = dataimg ? dataimg : $(this).attr('src');

	    if (imgId) {
	      $img = $(this).parents(previewImgContainerSelector).find('img.aligncenter');
	      _.forEach($img, function (obj) {
	        if ($(obj).attr('dataimg')) {
	          urls[urls.length] = $(obj).attr('dataimg');
	        } else {
	          urls[urls.length] = obj.src || '';
	        }
	      });
	      // console.log('ydk.previewImage', urls)
	      ydk.previewImage({
	        current: imgId || '', // 当前显示的图片链接
	        urls: urls // 需要预览的图片链接列表
	      });
	    }
	  });
	  return false;
	}

	// 设置过长文本的收起展开交互
	var allTextSelector = '.post-text-full';
	var minTextSelector = '.post-text-min';
	var foldBtnSelector = 'show-min-btn';
	var unfoldBtnSelector = 'show-all-btn';
	function dealFold(e) {
	  e.preventDefault();
	  e.stopPropagation();
	  var toFold = $(this).hasClass(foldBtnSelector);
	  $(this).parent(toFold ? allTextSelector : minTextSelector).hide().siblings(toFold ? minTextSelector : allTextSelector).show();
	}
	function registerCollapseBtn() {
	  $(document).on('click', '.' + unfoldBtnSelector, dealFold);
	  $(document).on('click', '.' + foldBtnSelector, dealFold);
	}

	// -----------------------------------------------------------------------------
	// 开发阶段页面最新版的标识：日期字符串
	// 方便debug模式下确定客户端更新到了最新的模板
	function showVersion() {
	  if (window.community.client.debug) {
	    var _dev_flag = $('<div>');
	    _dev_flag.text(config.NOW).css({
	      'position': 'fixed',
	      'top': 0,
	      'right': 0,
	      'backgroundColor': '#000',
	      'color': '#FFF',
	      'font-size': '12px',
	      'padding': '0 5px',
	      'z-index': '10000000'
	    }).appendTo(document.body);
	  }
	}

	module.exports = bootstrap;

	// 处理1px底边问题
	if (window.devicePixelRatio && devicePixelRatio >= 2) {
	  document.body.className = 'hairlines';
	}

/***/ },

/***/ 9:
/*!*********************************!*\
  !*** ./commons/css/global.scss ***!
  \*********************************/
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ },

/***/ 13:
/*!*******************************!*\
  !*** ./commons/ydk.config.js ***!
  \*******************************/
/***/ function(module, exports) {

	'use strict';

	ydk.config({
	    debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
	    jsApiList: ['checkJsApi', 'getClientInfo', 'getNetworkType', 'onNetStatusChange', 'getOrientationStatus', 'onOrientationChange', 'share', 'playVoice', 'pauseVoice', 'stopVoice', 'onVoicePlayEnd', 'onVoicePlayProgress', 'startRecord', 'stopRecord', 'onVoiceRecordEnd', 'chooseImage', 'previewImage', 'uploadImage', 'downloadImage', 'ajax', 'isLogin', 'login', 'getUserInfo', 'postEditor', //发帖编辑器
	    'showReplyEditor', //显示回帖和回复评论人的编辑器
	    'hideReplyEditor', //显示回帖和回复评论人的编辑器

	    'showUC', //显示用户信息数
	    'postReplyInfo', //显示回帖数量
	    'showPostDelete', //显示删除帖子按钮
	    'showUCAction', //通知客户端显示个人中心的按钮和消息数
	    'goToHotReplies', //页面滚动到热门回帖处
	    'onReply', //监听帖子回复
	    'setTitle', // 设置页面标题
	    'rlog', // 发log
	    'showChannel', 'showChannelAction', 'close', 'onPageVisibilityChange']
	});

/***/ },

/***/ 14:
/*!*******************************!*\
  !*** ./commons/ydk.extend.js ***!
  \*******************************/
/***/ function(module, exports) {

	'use strict';

	ydk.extend({

	  postEditor: function postEditor(params) {
	    ydk._invoke('postEditor', {
	      url: params.url,
	      channel: params.channel
	    }, params);
	  },

	  showReplyEditor: function showReplyEditor(params) {
	    ydk._invoke('showReplyEditor', {
	      url: params.url,
	      user: params.user
	    }, params);
	  },

	  onReply: function onReply(params) {
	    ydk._on('onReply', {
	      replyId: params.replyId || ''
	    }, params);
	  },

	  showUC: function showUC(params, msgCenterUrl) {
	    ydk._invoke('showUC', {
	      replyCount: params.replyCount
	    }, params);

	    ydk._on('showUCAction', {}, {
	      complete: function complete() {
	        location.href = msgCenterUrl;
	      }
	    });
	  },

	  //通知客户端是否显示帖子回复数
	  showPostReplyInfo: function showPostReplyInfo(params) {
	    ydk._invoke('postReplyInfo', {
	      replyCount: params.replyCount || '0'
	    }, params);
	  },

	  //通知客户端该帖子是当前用户所发 可以删除
	  showPostDelete: function showPostDelete(params) {
	    ydk._invoke('showPostDelete', {
	      postId: params.postId
	    }, params);
	  },

	  //给客户端注册的方法，用于滚动到热门帖子
	  goToHotRepliesRegister: function goToHotRepliesRegister(params) {
	    ydk._on('goToHotReplies', {}, params);
	  },

	  // 设置客户端标题栏
	  setTitle: function setTitle(params) {
	    ydk._invoke('setTitle', {
	      title: params.title
	    }, params);
	  },

	  rlog: function rlog(params) {
	    ydk._invoke('rlog', _.omit(params, function (val) {
	      return _.isFunction(val);
	    }), params);
	  },

	  showChannel: function showChannel(params, link) {
	    ydk._invoke('showChannel', {}, params);
	    ydk._on('showChannelAction', {}, {
	      complete: function complete() {
	        location.href = link;
	      }
	    });
	  },

	  close: function close(params) {
	    ydk._invoke('close', {
	      msg: params.msg
	    }, params);
	  },

	  hideReplyEditor: function hideReplyEditor(params) {
	    ydk._invoke('hideReplyEditor', {}, params);
	  },

	  onPageVisibilityChangeRegister: function onPageVisibilityChangeRegister(params) {
	    ydk._on('onPageVisibilityChange', {}, params);
	  }
	});

/***/ },

/***/ 15:
/*!************************!*\
  !*** ./commons/log.js ***!
  \************************/
/***/ function(module, exports, __webpack_require__) {

	"use strict";

	/**
	 * 自动捕获data-log-*的点击事件，触发rlog发送事件
	 *
	 * 如：<a href="#" data-log-community="activities" data-log-action="go_channelList" data-log-location="hot_circle">全部圈子</a>
	 */
	var context = __webpack_require__(/*! ./context.js */ 7);

	$(document).on("click", "[data-log-action]", function () {

	    var $this = $(this),
	        params = {
	        community: context.pageId
	    };

	    _.each(this.attributes, function (attr) {
	        if (/^data-log-/.test(attr.name)) {
	            var key = attr.name.substring(9);
	            params[key] = attr.value;
	        }
	    });

	    ydk.rlog(params);
	});

/***/ },

/***/ 16:
/*!************************!*\
  !*** ./conf/config.js ***!
  \************************/
/***/ function(module, exports) {

	"use strict";

	module.exports = {
	    NOW: "2016-06-13 14:37:45",
	    COMMUNITY_SERVER: "http://xue.youdao.com/"
	};

/***/ },

/***/ 17:
/*!**********************************!*\
  !*** ./commons/service/index.js ***!
  \**********************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/*
	 * 数据
	 * @author zhulin
	 * @date 2015-03-24
	 */
	var config = __webpack_require__(/*! config */ 16);

	/**
	 * 路径常量
	 */
	var COMMUNITY_TEST_SERVER = 'http://community.dev.xue.youdao.com/';
	var MSG_TEST_SERVER = 'http://qt002x.corp.youdao.com:7890/';
	var COMMUNITY_ONLINE_SERVER = 'http://xue.youdao.com/';
	var MSG_ONLINE_SERVER = 'http://xue.youdao.com/';
	var PINGLUN_ONLINE_SERVER = 'http://xue.youdao.com/pinglun/';
	var PINGLUN_TEST_SERVER = 'http://nc042x.corp.youdao.com:17979/';
	var MSG_API = 'message/pull';
	var MSG_MARK_API = 'message/markread';
	var MSG_COUNT_API = 'message/count';
	var USER_API = '/profile/';
	var GET_API = 'wenda/json/';
	var POST_API = 'wenda/action/';
	var FEED_API = 'wenda/feed/'; // 社区关系接口
	var POST_DETAIL_FOR_SHARE = 'bbs/post_detail?id=';
	var TA_UC_FOR_SHARE = 'bbs/ta_uc?id=';

	// 服务列表
	var COMMUNITY_SERVER = COMMUNITY_ONLINE_SERVER;
	var MSG_CENTER_SERVER = MSG_ONLINE_SERVER; // 不支持JSONP
	var PROFILE_SERVER = COMMUNITY_ONLINE_SERVER; // 不支持JSONP
	var PINGLUN_SERVER = PINGLUN_ONLINE_SERVER;

	COMMUNITY_SERVER = config.COMMUNITY_SERVER;

	// 切换为测试服
	// COMMUNITY_SERVER  = COMMUNITY_TEST_SERVER;
	// MSG_CENTER_SERVER = MSG_TEST_SERVER;
	// PINGLUN_SERVER = PINGLUN_TEST_SERVER;

	function isObjectNotFunction(target) {
	  return _.isObject(target) && !_.isFunction(target);
	}

	function deepObjectExtend(target, source) {
	  for (var prop in source) {
	    if (isObjectNotFunction(target[prop]) && isObjectNotFunction(source[prop])) deepObjectExtend(target[prop], source[prop]);else target[prop] = source[prop];
	  }return target;
	}

	var defaultConf = {
	  type: 'GET',
	  url: '/wenda/json/post?id=145'
	};

	// jsonp : 'callback',
	// dataType : 'jsonp'
	var requestIdx = 1; // 用于统计这是第几次AJAX请求
	function init(client) {
	  function request(url, params, type) {
	    var ajaxStartTime = new Date().getTime();
	    var temp = _.clone(params);
	    /**
	     * 统计ajax时间开销 发送到analyzer
	     */
	    temp.success = function (res) {
	      window._rlog && window._rlog.push(['ydk._trackCustom', 'ajax', [['ajax' + requestIdx++, new Date().getTime() - ajaxStartTime]], function () {}]);
	      params.success.apply(this, [res]);
	    };

	    ydk.ajax(deepObjectExtend(_.clone(defaultConf), deepObjectExtend({
	      data: {
	        imei: client.imei,
	        product: client.product,
	        version: client.version
	      },
	      url: /^http/.test(url) ? url : COMMUNITY_SERVER + url,
	      type: type === undefined ? 'GET' : type
	    }, temp)));
	  }

	  /**
	   * channel
	   * @param params
	   */
	  var paramStringForServerlog = ['?product=', client.product, '&version=', client.version, '&imei=', client.imei].join('');
	  var apis = {
	    addPost: COMMUNITY_SERVER + POST_API + 'addpost' + paramStringForServerlog,
	    addReply: COMMUNITY_SERVER + POST_API + 'addreply' + paramStringForServerlog,
	    deletePost: COMMUNITY_SERVER + POST_API + 'delete/reply' + paramStringForServerlog,
	    swAddReply: PINGLUN_SERVER + 'add'
	  };

	  function getIndex(params) {
	    request(GET_API + 'v2', params);
	  }

	  function getLatest(params) {
	    request(GET_API + 'topic/latest', params);
	  }
	  function getHot(params) {
	    request(GET_API + 'topic/hot', params);
	  }
	  function getHistory(params) {
	    request(GET_API + 'topics', params);
	  }
	  function getChannelList(params) {
	    request(GET_API + 'channels', params);
	  }
	  // params.data.channel
	  function getChannelDetail(params) {
	    request(GET_API + 'channel', params);
	  }
	  // params.data.channel
	  //params.data.endTimestamp
	  function getChannelMore(params) {
	    request(GET_API + 'channel', params);
	  }

	  function subscribeChannel(params) {
	    request(POST_API + 'channel/subscribe/', params);
	  }
	  function cancelChannel(params) {
	    request(POST_API + 'channel/unsubscribe/', params);
	  }

	  /**
	   * Post
	   * @param params
	   */
	  function getPostDetail(params) {
	    // debugger
	    request(GET_API + 'post', params);
	  }
	  function createPost(params) {
	    request(POST_API + 'addpost', params, 'POST');
	  }
	  function updatePost(params) {
	    request(POST_API + 'update/post', params, 'POST');
	  }
	  function replyPost(params) {
	    request(POST_API + 'addreply', params, 'POST');
	  }
	  function deletePost(params) {
	    request(POST_API + 'delete/reply?id=' + params.id, params);
	  }
	  // 删帖
	  function removePost(params) {
	    request(POST_API + 'delete/post?id=' + params.id, params);
	  }
	  //{params.voteType = like,dislike,clear}
	  function vote(params) {
	    request(POST_API + 'vote/' + params.voteType, params, 'GET');
	  }
	  //{params.likeType = like,dislike,clear}
	  function like(params) {
	    request(POST_API + 'post/vote/' + params.likeType, params, 'GET');
	  }

	  // params.data.endTimestamp
	  function loadMorePostReplies(params) {
	    getPostDetail(params);
	  }

	  /**
	   * 消息中心相关
	   */
	  // params.app = forum
	  function getNews(params) {
	    request(MSG_CENTER_SERVER + MSG_API, params, 'GET');
	  }

	  function getNewsCount(params) {
	    request(MSG_CENTER_SERVER + MSG_COUNT_API, params, 'GET');
	  }
	  function markRead(params) {
	    params.data.messageid = 'all';
	    request(MSG_CENTER_SERVER + MSG_MARK_API, params, 'GET');
	  }

	  /**
	   * 用户相关
	   */
	  // params.data.nickname
	  function getPosts(params) {
	    request(GET_API + 'user/ask', params, 'GET');
	  }
	  // params.data.nickname
	  function getReplies(params) {
	    request(GET_API + 'user/answer', params, 'GET');
	  }

	  function getUserInfo(params) {
	    request(PROFILE_SERVER + USER_API + 'batch/get', params, 'GET');
	  }

	  function getCurrentUserInfo(params) {
	    request(PROFILE_SERVER + USER_API + 'nickname/my', params, 'GET');
	  }

	  // 参数 key：#号分隔的关键字
	  function getPeopleRecommend(params) {
	    request(FEED_API + 'recommend', params, 'GET');
	  }

	  function getFeedActivity(params) {
	    request(FEED_API + 'activity', params, 'GET');
	  }

	  function getFeedCount(params) {
	    request(FEED_API + 'count', params, 'GET');
	  }

	  //user：#号分隔的多个userid
	  function follow(params) {
	    request(FEED_API + 'action/fo', params, 'POST');
	  }

	  function unfo(params) {
	    request(FEED_API + 'action/unfo', params, 'POST');
	  }

	  // 参数userid：获取该用户的关注列表，p：第几页（从0开始，默认第0页
	  function getFollower(params) {
	    request(FEED_API + 'follower', params, 'GET');
	  }

	  function getFollowing(params) {
	    request(FEED_API + 'following', params, 'GET');
	  }

	  // 参数userid：所查看主页的用户id
	  function getPeople(params) {
	    request(FEED_API + 'people', params, 'GET'); // 带上userid
	  }

	  function getMyInfo(params) {
	    request(FEED_API + 'my', params, 'GET');
	  }

	  /**
	   * 数据接口
	   * @ref http://luna.corp.youdao.com/index.php?title=%E9%97%AE%E7%AD%94%E7%A4%BE%E5%8C%BA/%E6%8E%A5%E5%8F%A3%E6%96%87%E6%A1%A3
	   * 示例：获取帖子详情
	   * service.post.detail({
	   *      data : {
	   *          id : postId,
	   *      },
	   *      success : successCb
	   * })
	   */
	  return {
	    index: getIndex,
	    topic: {
	      latest: getLatest,
	      hot: getHot,
	      history: getHistory
	    },
	    like: like, //动态卡片里的顶踩、取消
	    channel: {
	      list: getChannelList, // 获取频道列表 【后端TBD 目前仍为假数据
	      detail: getChannelDetail, // {id} 获取频道详情 【后端TBD  目前仍为假数据
	      more: getChannelMore,
	      subscribe: subscribeChannel, // {id} 订阅频道
	      cancel: cancelChannel // {id} 取消订阅频道
	    },
	    post: {
	      detail: getPostDetail, // {postId} 获取帖子详情
	      create: createPost, // {title, content, channelId}发帖
	      reply: replyPost, // {content, postId, replyTo}回帖
	      remove: deletePost, // 回帖可能是盖楼的
	      delete: removePost,
	      vote: vote, // {postId} 赞踩&取消
	      more: loadMorePostReplies, // 获取更多回帖
	      update: updatePost
	    },
	    msg: {
	      news: getNews,
	      newsCount: getNewsCount
	    },

	    markRead: markRead,

	    posts: getPosts, // 获取某用户的帖子列表
	    replies: getReplies, // 获取某用户的回帖列表

	    user: getUserInfo,
	    me: getCurrentUserInfo,

	    feed: {
	      recommend: getPeopleRecommend, // 获取推荐用户
	      activity: getFeedActivity,
	      count: getFeedCount, // 获取关注动态数目和是否有关注
	      fo: follow, // 添加关注
	      unfo: unfo, // 取消关注
	      follower: getFollower,
	      following: getFollowing,
	      people: getPeople,
	      me: getMyInfo
	    },

	    apis: apis,
	    sharedURL: COMMUNITY_SERVER + POST_DETAIL_FOR_SHARE,
	    peopleSharedURL: COMMUNITY_SERVER + TA_UC_FOR_SHARE

	  };
	}

	module.exports = init;

/***/ },

/***/ 18:
/*!**********************************!*\
  !*** ./commons/loading/index.js ***!
  \**********************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	// loading: 用于控制页面的 加载中 网络错误提示
	// 大多数页面基于list组件 没有使用loading.show;
	// 但是list组件中会使用loading.hide(true)来展示网络错误
	var netErrorTip = __webpack_require__(/*! ../../modules/netError */ 19);

	module.exports = {
	  $el: $('<div style="display:none" id="loading">正在加载</div>').appendTo('#doc'),
	  show: function show() {
	    this.$el.show();
	  },
	  hide: function hide(failed) {
	    this.$el.hide();
	    if (failed) {
	      netErrorTip.show();
	    }
	  },
	  reset: function reset() {
	    // 重置状态，隐藏掉断网提示
	    netErrorTip.hide();
	  }
	};

/***/ },

/***/ 19:
/*!***********************************!*\
  !*** ./modules/netError/index.js ***!
  \***********************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	__webpack_require__(/*! ./index.scss */ 20);
	var $netErrorTip = $(__webpack_require__(/*! ./index.html */ 23)()).appendTo('#doc');
	$netErrorTip.on('click', '.reload-btn', function (e) {
	  location.reload();
	});

	module.exports = $netErrorTip;

/***/ },

/***/ 20:
/*!*************************************!*\
  !*** ./modules/netError/index.scss ***!
  \*************************************/
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ },

/***/ 23:
/*!*************************************!*\
  !*** ./modules/netError/index.html ***!
  \*************************************/
/***/ function(module, exports) {

	module.exports = function (obj) {
	obj || (obj = {});
	var __t, __p = '';
	with (obj) {
	__p += '<div  style="display:none;" class="net-error-tip" id="netError">\r\n  <div  class="net-error-tip-inner">\r\n    <div class="img"></div>\r\n    <p>网络异常，请点击页面刷新</p>\r\n    <a href="javascript:;" class="reload-btn">重新加载</a>\r\n  </div>\r\n</div>';

	}
	return __p
	}

/***/ },

/***/ 24:
/*!**************************!*\
  !*** ./commons/utils.js ***!
  \**************************/
/***/ function(module, exports) {

	'use strict';

	var utils = {

	  loginCheck: loginCheck,
	  formatTime: formatTime,
	  formatTime_local: formatTime_local,
	  getMinNum: getMinNum,
	  getLocation: getLocation,
	  getQueryJson: getQueryJson,
	  trim: trim,
	  urlify: urlify,
	  isArray: isArray,

	  getMinifyContent: getMinifyContent,
	  checkIfNeedCollapse: checkIfNeedCollapse,
	  sliceWords: sliceWords,
	  checkIfPostHaveImgs: checkIfPostHaveImgs,
	  checkIfPostHaveAudio: checkIfPostHaveAudio,
	  getContentAudio: getContentAudio,
	  getPureText: getPureText,
	  getContentPic: getContentPic,
	  getContentMin: getContentMin,
	  pageVisibility: pageVisibility,
	  generateUrl: generateUrl,
	  animateScrollTo: animateScrollTo,

	  // 格式化帖子内容为json文件
	  //
	  formatContentToJson: formatContentToJson,
	  stringEllipsis: stringEllipsis

	};

	/**
	 * 截取指定长度的字符串，如果指定的长度小于字符串总长度，则后面跟随省略号"..."
	 * 注意：大于 U+0204 的 Unicode 都被视为汉字处理，目的是为了使得最后所得的字符串
	 * 在 UA 上看起来尽量是等长的，目前在中英文环境下，勉强能满足需求
	 *
	 * @param  {String} str  目标字符串
	 * @param  {Number} len  期望的字符长度，以英文字符计
	 * @param  {Array} conf  一个布尔型的数组，用于配置 html、空格等的过滤，也方便后续扩展
	 *                       ['是否过滤掉 html 标签', '是否压缩两个以上的空格']
	 * @return {String}      返回截取后的字符串
	 */
	function stringEllipsis(str, len, conf) {
	  // 前两个参数为必选
	  if (!str || !len) return '';

	  conf || (conf = [1, 1]);

	  conf[0] && (str = str.replace(/(<\w+?\s?.*?>)|(<\/\w+?>)/gi, ''));
	  conf[1] && (str = str.replace(/\s\s+/g, ' '));

	  var slen = str.length,
	      i,
	      s = 0;

	  for (i = 0; i < slen; i++) {
	    s++;
	    // U+00FF(256) ASCII 外的都按汉字处理，在常规英文情况下，基本满足需求
	    // 包含了扩展拉丁字母 U+0204(516)
	    str[i].charCodeAt() > 516 && s++;

	    if (s >= len) {
	      break;
	    }
	  }
	  str = str.substring(0, i + 1);
	  // console.log(i, slen, s, str);

	  return str + (slen > i ? '...' : '');
	}

	function animateScrollTo(cval, tval, callback) {
	  var f = 30,
	      dval = tval - cval;
	  function __run() {
	    dval = dval / 2;
	    if (Math.abs(dval) > 1) {
	      cval += dval;
	      callback(Math.round(cval));
	      window.setTimeout(__run, f);
	    } else {
	      callback(tval);
	    }
	  }
	  __run();
	}

	function generateUrl(url, param) {
	  if (url.indexOf('?') === -1) {
	    url = url + '?';
	  } else {
	    url = url + '&';
	  }
	  for (var key in param) {
	    url = url + key + '=' + param[key] + '&';
	  }
	  return url.slice(0, url.length - 1);
	}

	function urlify(text) {
	  var urlRegex = /(https?:\/\/[^\s]+)/g;
	  return text.replace(urlRegex, function (url) {
	    return '<a href="' + url + '">' + url + '</a>';
	  });
	  // or alternatively
	  // return text.replace(urlRegex, '<a href="$1">$1</a>')
	}

	function loginCheck(initFunc) {
	  return function () {
	    var me = this;
	    var argus = Array.prototype.slice.call(arguments, 0);
	    ydk.isLogin({
	      success: function success(res) {
	        if (res.isLogin) {
	          initFunc.apply(me, argus);
	        } else {
	          ydk.login({
	            success: function success(res) {
	              if (res.isLogin) {
	                initFunc.apply(me, argus);
	              } else {
	                ydk.close({
	                  msg: ''
	                });
	              }
	            },
	            fail: function fail(res) {
	              ydk.close({
	                msg: ''
	              });
	            }
	          });
	        }
	      }
	    });
	  };
	}

	function formatTimeNumber(origin) {
	  return origin > 9 ? origin : '0' + origin;
	}
	function formatTime(timestamp) {
	  var curTime = new Date().getTime();
	  var minus = curTime - timestamp;
	  var time = new Date(timestamp);

	  if (minus < 1000 * 60) {
	    return '刚刚';
	  } else if (minus < 1000 * 60 * 60) {
	    return Math.ceil(minus / (1000 * 60)) + '分钟前';
	  } else if (minus < 1000 * 60 * 60 * 24) {
	    return Math.ceil(minus / (1000 * 60 * 60)) + '小时前';
	  } else {
	    return [time.getFullYear(), '-', formatTimeNumber(time.getMonth() + 1), '-', time.getDate(), ' ', time.getHours(), ':', formatTimeNumber(time.getMinutes())].join('');
	  }
	}

	function formatTime_local(timestamp) {
	  var curTime = new Date().getTime();
	  var minus = curTime - timestamp;
	  var time = new Date(timestamp);

	  if (minus < 1000 * 60) {
	    return '刚刚';
	  } else if (minus < 1000 * 60 * 60) {
	    return Math.ceil(minus / (1000 * 60)) + '分钟前';
	  } else if (minus < 1000 * 60 * 60 * 24) {
	    return Math.ceil(minus / (1000 * 60 * 60)) + '小时前';
	  } else {
	    return [formatTimeNumber(time.getMonth() + 1), '月', time.getDate(), '日'].join('');
	  }
	}

	function getMinNum(num, level) {
	  var base, unit;
	  if (level === '万') {
	    base = 100000;
	    unit = '万';
	  } else {
	    base = 1000;
	    unit = 'K';
	  }
	  num = parseFloat(num);
	  if (isNaN(num)) {
	    return 0;
	  }
	  if (num / base >= 1) {
	    return (num / base).toFixed(1) + unit;
	  } else {
	    return num;
	  }
	}

	// for dev： 前端截取
	var $forSlice = $('<div></div>');
	var $forPureText = $('<div></div>');
	var $forAudio = $('<div></div>');
	var $forImg = $('<div></div>');
	var $tmp = $('<div></div>');
	function getPureText(content) {
	  var text = $forPureText.html(content).text();
	  return text;
	}
	function getContentAudio(content) {
	  return $forAudio.html($forSlice.html(content).find('.audio-play-btn')).html() || "";
	}
	function getContentPic(content) {
	  return $forImg.html($forImg.html($forSlice.html(content)).find('img').eq(0)).html();
	}

	function formatContentToJson(content) {
	  $tmp.html(content);
	  var $img = $tmp.find('img');
	  var $audio = $tmp.find('.audio-play-btn');
	  return {
	    text: getPureText(content),
	    img: {
	      dataSrc: $tmp.find('img').attr('dataimg'),
	      src: $tmp.find('img').attr('src')
	    },
	    audio: {
	      length: $audio.data('length'),
	      src: $audio.attr('src')
	    }
	  };
	}
	function getContentMin(content) {
	  return getMinifyContent(content, 100);
	}
	function getMinifyContent(content, wordCounts) {
	  var text = getPureText(content);
	  if (checkIfNeedCollapse(text)) {
	    return text.slice(0, wordCounts) + '……';
	  }
	  return text;
	}
	function checkIfNeedCollapse(text) {
	  return getPureText(text).length > 100;
	}

	function sliceWords(content, counts) {
	  if (!counts) counts = 100;
	  var text = getPureText(content);
	  if (checkIfNeedCollapse(text)) {
	    return $forAudio.html($forSlice.html(content).find('.audio-play-btn')).html() + text.slice(0, counts) + '……';
	  } else {
	    return $forAudio.html($forSlice.html(content).find('.audio-play-btn')).html() + text;
	  }
	}
	function checkIfPostHaveAudio(content) {
	  return content.indexOf('audio-play-btn') !== -1;
	}
	function checkIfPostHaveImgs(content) {
	  return (/<img/.test(content)
	  );
	}

	//获取location
	function getLocation() {
	  return decodeURIComponent(window.location.toString());
	}

	//获取url参数
	function getQueryJson(url) {
	  var query = url ? url.slice(url.indexOf("?") + 1) : location.search.slice(1);
	  var _Qlist = trim(query).split("&");
	  var _json = {};
	  for (var i = 0, len = _Qlist.length; i < len; i++) {
	    if (_Qlist[i]) {
	      var _hsh = _Qlist[i].split("=");
	      var _key = _hsh[0];
	      var _value = _hsh[1];
	      if (_hsh.length < 2) {
	        _value = _key;
	        _key = '$nullName';
	      }
	      if (!_json[_key]) {
	        _json[_key] = _value;
	      } else {
	        if (isArray(_json[_key]) != true) {
	          _json[_key] = [_json[_key]];
	        }
	        _json[_key].push(_value);
	      }
	    }
	  }
	  return _json;
	}

	function trim(str) {
	  if (typeof str !== 'string') {
	    throw 'trim need a string as parameter';
	  }
	  var len = str.length;
	  var s = 0;
	  var reg = /(\u3000|\s|\t|\u00A0)/;

	  while (s < len) {
	    if (!reg.test(str.charAt(s))) {
	      break;
	    }
	    s += 1;
	  }
	  while (len > s) {
	    if (!reg.test(str.charAt(len - 1))) {
	      break;
	    }
	    len -= 1;
	  }
	  return str.slice(s, len);
	}

	function isArray(obj) {
	  var toString = {}.toString;
	  return toString.call(obj) === "[object Array]";
	}

	var pageVisibility = function () {
	  var prefixSupport,
	      keyWithPrefix = function keyWithPrefix(prefix, key) {
	    if (prefix !== "") {
	      // 首字母大写
	      return prefix + key.slice(0, 1).toUpperCase() + key.slice(1);
	    }
	    return key;
	  };
	  var isPageVisibilitySupport = function () {
	    var support = false;
	    if (typeof window.screenX === "number") {
	      ["webkit", "moz", "ms", "o", ""].forEach(function (prefix) {
	        if (support == false && document[keyWithPrefix(prefix, "hidden")] != undefined) {
	          prefixSupport = prefix;
	          support = true;
	        }
	      });
	    }
	    return support;
	  }();

	  var isHidden = function isHidden() {
	    if (isPageVisibilitySupport) {
	      return document[keyWithPrefix(prefixSupport, "hidden")];
	    }
	    return undefined;
	  };

	  var visibilityState = function visibilityState() {
	    if (isPageVisibilitySupport) {
	      return document[keyWithPrefix(prefixSupport, "visibilityState")];
	    }
	    return undefined;
	  };

	  return {
	    hidden: isHidden(),
	    visibilityState: visibilityState(),
	    visibilitychange: function visibilitychange(fn, usecapture) {
	      usecapture = undefined || false;
	      if (isPageVisibilitySupport && typeof fn === "function") {
	        return document.addEventListener(prefixSupport + "visibilitychange", function (evt) {
	          this.hidden = isHidden();
	          this.visibilityState = visibilityState();
	          fn.call(this, evt);
	        }.bind(this), usecapture);
	      }
	      return undefined;
	    }
	  };
	}(undefined);

	module.exports = utils;

/***/ },

/***/ 25:
/*!**************************!*\
  !*** ./commons/pages.js ***!
  \**************************/
/***/ function(module, exports) {

	'use strict';

	var isOnline = location.hostname === 'xue.youdao.com';

	function generateUrl(pageName) {
	  if (ydk.isDesktop && isOnline) {
	    return location.protocol + '//' + location.hostname + '/bbs/' + pageName.slice(0, -5);
	  }
	  return './' + pageName;
	}

	var pages = {
	  activities: generateUrl('activities.html'),
	  channels: generateUrl('channels.html'),
	  channelDetail: generateUrl('channel_detail.html'),
	  postDetail: generateUrl('post_detail.html'),
	  userCenter: 'ta_uc.html',
	  msgCenter: ydk.isDesktop ? generateUrl('msg_center.html') : generateUrl('reply_msg.html'),
	  myPosts: generateUrl('my_posts.html'),
	  myReplies: generateUrl('my_replies.html'),
	  postEditor: 'post_editor.html',
	  feeds: generateUrl('feeds.html'),
	  followers: generateUrl('followers.html'),
	  followings: generateUrl('followings.html'),
	  recommends: generateUrl('recommend.html'),
	  topic: generateUrl('topic.html'),

	  getLink: function getLink(pageName, param) {
	    var link = this[pageName] + '?';
	    for (var key in param) {
	      if (!param.hasOwnProperty(key)) return;
	      link += key + '=' + param[key] + '&';
	    }
	    link = link.slice(0, link.length - 1);
	    return link;
	  }
	};
	module.exports = pages;

/***/ },

/***/ 33:
/*!********************************************************!*\
  !*** ../~/.npminstall/jade/1.11.0/jade/lib/runtime.js ***!
  \********************************************************/
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	/**
	 * Merge two attribute objects giving precedence
	 * to values in object `b`. Classes are special-cased
	 * allowing for arrays and merging/joining appropriately
	 * resulting in a string.
	 *
	 * @param {Object} a
	 * @param {Object} b
	 * @return {Object} a
	 * @api private
	 */

	exports.merge = function merge(a, b) {
	  if (arguments.length === 1) {
	    var attrs = a[0];
	    for (var i = 1; i < a.length; i++) {
	      attrs = merge(attrs, a[i]);
	    }
	    return attrs;
	  }
	  var ac = a['class'];
	  var bc = b['class'];

	  if (ac || bc) {
	    ac = ac || [];
	    bc = bc || [];
	    if (!Array.isArray(ac)) ac = [ac];
	    if (!Array.isArray(bc)) bc = [bc];
	    a['class'] = ac.concat(bc).filter(nulls);
	  }

	  for (var key in b) {
	    if (key != 'class') {
	      a[key] = b[key];
	    }
	  }

	  return a;
	};

	/**
	 * Filter null `val`s.
	 *
	 * @param {*} val
	 * @return {Boolean}
	 * @api private
	 */

	function nulls(val) {
	  return val != null && val !== '';
	}

	/**
	 * join array as classes.
	 *
	 * @param {*} val
	 * @return {String}
	 */
	exports.joinClasses = joinClasses;
	function joinClasses(val) {
	  return (Array.isArray(val) ? val.map(joinClasses) :
	    (val && typeof val === 'object') ? Object.keys(val).filter(function (key) { return val[key]; }) :
	    [val]).filter(nulls).join(' ');
	}

	/**
	 * Render the given classes.
	 *
	 * @param {Array} classes
	 * @param {Array.<Boolean>} escaped
	 * @return {String}
	 */
	exports.cls = function cls(classes, escaped) {
	  var buf = [];
	  for (var i = 0; i < classes.length; i++) {
	    if (escaped && escaped[i]) {
	      buf.push(exports.escape(joinClasses([classes[i]])));
	    } else {
	      buf.push(joinClasses(classes[i]));
	    }
	  }
	  var text = joinClasses(buf);
	  if (text.length) {
	    return ' class="' + text + '"';
	  } else {
	    return '';
	  }
	};


	exports.style = function (val) {
	  if (val && typeof val === 'object') {
	    return Object.keys(val).map(function (style) {
	      return style + ':' + val[style];
	    }).join(';');
	  } else {
	    return val;
	  }
	};
	/**
	 * Render the given attribute.
	 *
	 * @param {String} key
	 * @param {String} val
	 * @param {Boolean} escaped
	 * @param {Boolean} terse
	 * @return {String}
	 */
	exports.attr = function attr(key, val, escaped, terse) {
	  if (key === 'style') {
	    val = exports.style(val);
	  }
	  if ('boolean' == typeof val || null == val) {
	    if (val) {
	      return ' ' + (terse ? key : key + '="' + key + '"');
	    } else {
	      return '';
	    }
	  } else if (0 == key.indexOf('data') && 'string' != typeof val) {
	    if (JSON.stringify(val).indexOf('&') !== -1) {
	      console.warn('Since Jade 2.0.0, ampersands (`&`) in data attributes ' +
	                   'will be escaped to `&amp;`');
	    };
	    if (val && typeof val.toISOString === 'function') {
	      console.warn('Jade will eliminate the double quotes around dates in ' +
	                   'ISO form after 2.0.0');
	    }
	    return ' ' + key + "='" + JSON.stringify(val).replace(/'/g, '&apos;') + "'";
	  } else if (escaped) {
	    if (val && typeof val.toISOString === 'function') {
	      console.warn('Jade will stringify dates in ISO form after 2.0.0');
	    }
	    return ' ' + key + '="' + exports.escape(val) + '"';
	  } else {
	    if (val && typeof val.toISOString === 'function') {
	      console.warn('Jade will stringify dates in ISO form after 2.0.0');
	    }
	    return ' ' + key + '="' + val + '"';
	  }
	};

	/**
	 * Render the given attributes object.
	 *
	 * @param {Object} obj
	 * @param {Object} escaped
	 * @return {String}
	 */
	exports.attrs = function attrs(obj, terse){
	  var buf = [];

	  var keys = Object.keys(obj);

	  if (keys.length) {
	    for (var i = 0; i < keys.length; ++i) {
	      var key = keys[i]
	        , val = obj[key];

	      if ('class' == key) {
	        if (val = joinClasses(val)) {
	          buf.push(' ' + key + '="' + val + '"');
	        }
	      } else {
	        buf.push(exports.attr(key, val, false, terse));
	      }
	    }
	  }

	  return buf.join('');
	};

	/**
	 * Escape the given string of `html`.
	 *
	 * @param {String} html
	 * @return {String}
	 * @api private
	 */

	var jade_encode_html_rules = {
	  '&': '&amp;',
	  '<': '&lt;',
	  '>': '&gt;',
	  '"': '&quot;'
	};
	var jade_match_html = /[&<>"]/g;

	function jade_encode_char(c) {
	  return jade_encode_html_rules[c] || c;
	}

	exports.escape = jade_escape;
	function jade_escape(html){
	  var result = String(html).replace(jade_match_html, jade_encode_char);
	  if (result === '' + html) return html;
	  else return result;
	};

	/**
	 * Re-throw the given `err` in context to the
	 * the jade in `filename` at the given `lineno`.
	 *
	 * @param {Error} err
	 * @param {String} filename
	 * @param {String} lineno
	 * @api private
	 */

	exports.rethrow = function rethrow(err, filename, lineno, str){
	  if (!(err instanceof Error)) throw err;
	  if ((typeof window != 'undefined' || !filename) && !str) {
	    err.message += ' on line ' + lineno;
	    throw err;
	  }
	  try {
	    str = str || __webpack_require__(/*! fs */ 34).readFileSync(filename, 'utf8')
	  } catch (ex) {
	    rethrow(err, null, lineno)
	  }
	  var context = 3
	    , lines = str.split('\n')
	    , start = Math.max(lineno - context, 0)
	    , end = Math.min(lines.length, lineno + context);

	  // Error context
	  var context = lines.slice(start, end).map(function(line, i){
	    var curr = i + start + 1;
	    return (curr == lineno ? '  > ' : '    ')
	      + curr
	      + '| '
	      + line;
	  }).join('\n');

	  // Alter exception message
	  err.path = filename;
	  err.message = (filename || 'Jade') + ':' + lineno
	    + '\n' + context + '\n\n' + err.message;
	  throw err;
	};

	exports.DebugItem = function DebugItem(lineno, filename) {
	  this.lineno = lineno;
	  this.filename = filename;
	}


/***/ },

/***/ 34:
/*!********************!*\
  !*** fs (ignored) ***!
  \********************/
/***/ function(module, exports) {

	/* (ignored) */

/***/ },

/***/ 241:
/*!*************************************!*\
  !*** ./pages/recommends/index.scss ***!
  \*************************************/
/***/ function(module, exports) {

	// removed by extract-text-webpack-plugin

/***/ },

/***/ 245:
/*!*************************************!*\
  !*** ./pages/recommends/index.html ***!
  \*************************************/
/***/ function(module, exports) {

	module.exports = function (obj) {
	obj || (obj = {});
	var __t, __p = '';
	with (obj) {
	__p += '<div id="reco">\r\n  <img src="http://oimagea4.ydstatic.com/image?id=-8953290121109172891&product=xue" alt="" class="banner">\r\n  <div class="selects">\r\n    <div class="btn-follow">一键关注</div>\r\n    <div class="btn-jump">这次跳过</div>\r\n  </div>\r\n</div>';

	}
	return __p
	}

/***/ },

/***/ 246:
/*!************************************!*\
  !*** ./pages/recommends/user.jade ***!
  \************************************/
/***/ function(module, exports, __webpack_require__) {

	var jade = __webpack_require__(/*! ../~/.npminstall/jade/1.11.0/jade/lib/runtime.js */ 33);

	module.exports = function template(locals) {
	var buf = [];
	var jade_mixins = {};
	var jade_interp;
	;var locals_for_with = (locals || {});(function (avatar, intro, link, nickname, userid) {
	buf.push("<div class=\"follower\"><a" + (jade.attr("href", link, true, false)) + " class=\"avatar\"><img" + (jade.attr("src", avatar, true, false)) + "/></a><div class=\"wrapper bottom-border\"><div class=\"intro\"><h5>" + (jade.escape(null == (jade_interp = nickname) ? "" : jade_interp)) + "</h5><p>" + (jade.escape(null == (jade_interp = intro) ? "" : jade_interp)) + "</p></div><span" + (jade.attr("data-id", userid, true, false)) + " class=\"checkbox checked\"></span></div></div>");}.call(this,"avatar" in locals_for_with?locals_for_with.avatar:typeof avatar!=="undefined"?avatar:undefined,"intro" in locals_for_with?locals_for_with.intro:typeof intro!=="undefined"?intro:undefined,"link" in locals_for_with?locals_for_with.link:typeof link!=="undefined"?link:undefined,"nickname" in locals_for_with?locals_for_with.nickname:typeof nickname!=="undefined"?nickname:undefined,"userid" in locals_for_with?locals_for_with.userid:typeof userid!=="undefined"?userid:undefined));;return buf.join("");
	}

/***/ }

/******/ });